#1776 closed enhancement (fixed)

Higher resolution microtime() for SO_TIMESTAMP

Reported by: Bo Hansen Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: network/legacy Version: 4.11
Severity: minor Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

Current implementation does not take advantage of super core timestamp.
Possibly use _TOD_Get() from "cpukit/score/src/coretodget.c"?

Attachments (1)

microtime_fix.diff (775 bytes) - added by Bo Hansen on May 25, 2011 at 7:14:40 AM.
Fix for microtime() for SO_TIMESTAMP

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Apr 12, 2011 at 12:22:54 PM by Joel Sherrill

Cc: Joel Sherrill added

Changed on May 25, 2011 at 7:14:40 AM by Bo Hansen

Attachment: microtime_fix.diff added

Fix for microtime() for SO_TIMESTAMP

comment:2 Changed on May 25, 2011 at 11:21:18 AM by Joel Sherrill

Owner: changed from Eric Norum to Chris Johns

comment:3 Changed on May 26, 2011 at 10:34:38 PM by Chris Johns

Resolution: fixed
Status: newclosed

Committed to branch-4.10.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.